# Yahoo! UI Library

### charts 3.3.0

Yahoo! UI Library > charts > VMLShape
Search:
Filters Show Private Show Protected Show Deprecated

## Class VMLShape

VMLShape is a fallback class for Shape. It creates a graphic object with editable properties when SVG is not available.

### Constructor

VMLShape `( )`

### Properties

#### height - `private object`

#### type - `string`

Indicates the type of shape.

#### width - `private object`

### Methods

#### _addBorder

`private void _addBorder ( )`
Adds a border to the shape node.

#### _addFill

`private void _addFill ( )`
Adds a fill to the shape node.

#### _draw

`private void _draw ( )`
Draws the graphic.

#### _initialize

`private void _initialize ( )`
Initializes the graphic instance.

#### _setProps

`private void _setProps ( cfg )`
Updates properties for the shape.

Parameters:
  `cfg <Object>` Properties to update.

#### addClass

`void addClass ( className )`
Adds a class to the shape's node.

Parameters:
  `className <String>` Name of the class to add.

#### setPosition

`void setPosition ( , )`
Positions the parent node of the shape.

Parameters:
  `, <Number>` x The x-coordinate
  `, <Number>` y The y-coordinate

#### toggleVisible

`void toggleVisible ( val )`
Sets the visibility of a shape.

Parameters:
  `val <Boolean>` indicates whether or not the shape is visible.

#### update

`void update ( cfg )`
Updates the properties of the shape instance.

Parameters:
  `cfg <Object>` Object literal containing properties to update.

Copyright © 2011 Yahoo! Inc. All rights reserved.